# Created by pyp2rpm-1.0.1
%global pypi_name pyraf
%define version 2.1.3

Name:           python-pyraf
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Provides a Pythonic interface to IRAF

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/pyraf
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1
BuildRequires: python-sphinx
BuildRequires: python-stsci-sphinxext
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(x11)


Obsoletes: python-stsci <= 2.13-4

%description
PyRAF is a command language for IRAF based on the Python scripting language
that can be used in place of the existing IRAF CL.

For more information on PyRAF - release notes, installation instructions,
the FAQ, tutorials and other documentation, etc. - please visit:

      http://www.stsci.edu/resources/software_hardware/pyraf

If you are in a great hurry and are installing a stand-alone PyRAF ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
sphinx-build required_pkgs/stsci.tools/doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html required_pkgs/d2to1/d2to1/tests/testpackage/README.txt required_pkgs/d2to1/README.rst required_pkgs/stsci.distutils/stsci/distutils/tests/testpackage/README.txt required_pkgs/stsci.distutils/README.txt required_pkgs/d2to1/d2to1/tests/testpackage/LICENSE.txt required_pkgs/d2to1/LICENSE required_pkgs/stsci.distutils/stsci/distutils/tests/testpackage/LICENSE.txt required_pkgs/stsci.distutils/LICENSE.txt required_pkgs/stsci.tools/LICENSE.txt LICENSE.txt
%{_bindir}/pyraf
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.3-3.mga4
+ Revision: 544239
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.3-2.mga4
+ Revision: 499267
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Sep 12 2013 joequant <joequant> 2.1.3-1.mga4
+ Revision: 478174
- add pkgconfig x11
- set xproto
- add sphinxext
- imported package python-pyraf

